Dejan Dimčić Dejan Dimčić - 1 month ago 56
ASP.NET (C#) Question

Ninject in .NET Core

I am trying to install Ninject 3.3.2 in .NET Core, Released in May 2016. I got an error: The dependency Ninject 3.2.2 does not support framework .NETCoreApp, Version=v1.0.
Does anybody had similar problem, and is there any solution for this?

Answer

As you can read in the message: Ninject does not support .NET Core. You can check it's website to be sure if there is no version that supports it.

.NET Core has its own Dependency Injection container build in. See here: http://www.inversionofcontrol.co.uk/asp-net-core-1-0-dependency-injection-what-is-is-and-what-it-is-not-2/